## deepin-screenshot 4.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

set(VERSION 4.0)

project(deepin-screenshot)

#set(CMAKE_VERBOSE_MAKEFILE ON)
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS "-g -Wall")
set(BIN_NAME deepin-screenshot)

# Sources files
set(SRCS
# main
        "src/eventcontainer.h"
        "src/mainwindow.h"
        "src/screenshot.h"
        "src/eventcontainer.cpp"
        "src/main.cpp"
        "src/mainwindow.cpp"
        "src/screenshot.cpp"

# utils
        "src/utils/baseutils.h"
        "src/utils/calculaterect.h"
        "src/utils/configsettings.h"
        "src/utils/screenutils.h"
        "src/utils/shapesutils.h"
        "src/utils/shortcut.h"
        "src/utils/tempfile.h"
        "src/utils/baseutils.cpp"
        "src/utils/calculaterect.cpp"
        "src/utils/screenutils.cpp"
        "src/utils/shapesutils.cpp"
        "src/utils/shortcut.cpp"
        "src/utils/configsettings.cpp"
        "src/utils/tempfile.cpp"

# widgets
        "src/widgets/bigcolorbutton.h"
        "src/widgets/colorbutton.h"
        "src/widgets/fontsizewidget.h"
        "src/widgets/majtoolbar.h"
        "src/widgets/savebutton.h"
        "src/widgets/savetips.h"
        "src/widgets/shapeswidget.h"
        "src/widgets/subtoolbar.h"
        "src/widgets/textbutton.h"
        "src/widgets/textedit.h"
        "src/widgets/toolbar.h"
        "src/widgets/toolbutton.h"
        "src/widgets/toptips.h"
        "src/widgets/zoomIndicator.h"
        "src/widgets/bigcolorbutton.cpp"
        "src/widgets/colorbutton.cpp"
        "src/widgets/fontsizewidget.cpp"
        "src/widgets/majtoolbar.cpp"
        "src/widgets/savebutton.cpp"
        "src/widgets/savetips.cpp"
        "src/widgets/subtoolbar.cpp"
        "src/widgets/textbutton.cpp"
        "src/widgets/textedit.cpp"
        "src/widgets/toolbar.cpp"
        "src/widgets/toptips.cpp"
        "src/widgets/shapeswidget.cpp"
        "src/widgets/zoomIndicator.cpp"

# controller
        "src/controller/menucontroller.h"
        "src/controller/menucontroller.cpp"

# dbus interface
        "src/dbusinterface/dbuscontrolcenter.h"
        "src/dbusinterface/dbusnotify.h"
        "src/dbusinterface/dbussoundeffect.h"
        "src/dbusinterface/dbuszone.h"
        "src/dbusservice/dbusscreenshot.h"
        "src/dbusservice/dbusscreenshotservice.h"
        "src/dbusinterface/dbuscontrolcenter.cpp"
        "src/dbusinterface/dbusnotify.cpp"
        "src/dbusinterface/dbussoundeffect.cpp"
        "src/dbusinterface/dbuszone.cpp"
        "src/dbusservice/dbusscreenshot.cpp"
        "src/dbusservice/dbusscreenshotservice.cpp"
)

# Find the library
find_package(PkgConfig REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5Concurrent REQUIRED)
find_package(Qt5X11Extras REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(DtkWidget REQUIRED)
find_package(DtkWm REQUIRED)

add_executable(${BIN_NAME} ${SRCS} ${INTERFACES} src/res.qrc src/widgets/resources.qrc)
target_include_directories(${BIN_NAME} PUBLIC ${DtkWidget_INCLUDE_DIRS}
                                              ${DtkWm_INCLUDE_DIRS}
                                              ${XCB_EWMH_INCLUDE_DIRS}
                                              ${DFrameworkDBus_INCLUDE_DIRS}
                                              ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
                                              ${PROJECT_BINARY_DIR})

target_link_libraries(${BIN_NAME} PRIVATE
    ${XCB_EWMH_LIBRARIES}
    ${DFrameworkDBus_LIBRARIES}
    ${DtkWidget_LIBRARIES}
    ${DtkWm_LIBRARIES}
    ${Qt5Widgets_LIBRARIES}
    ${Qt5Concurrent_LIBRARIES}
    ${Qt5X11Extras_LIBRARIES}
    ${Qt5DBus_LIBRARIES}
)

# Install settings
if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif ()

if (NOT (${CMAKE_BUILD_TYPE} MATCHES "Debug"))
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Ofast")

    # generate qm
    execute_process(COMMAND bash "generate_translations.sh"
                    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
endif ()

## qm files
file(GLOB QM_FILES "translations/*.qm")
install(FILES ${QM_FILES} DESTINATION share/deepin-screenshot/translations)

## desktop file
file(GLOB DESKTOP_FILES "deepin-screenshot.desktop")
install(FILES ${DESKTOP_FILES} DESTINATION share/applications)

## dbus service
file(GLOB DBUS_SERVICE "src/dbusservice/com.deepin.Screenshot.service")
install(FILES ${DBUS_SERVICE} DESTINATION "share/dbus-1/services/")

# bin
install(TARGETS ${BIN_NAME} DESTINATION bin)

## deepin-screenshot 4.0.11

=== debian/changelog ===
deepin-screenshot (4.0.11-1) unstable; urgency=medium

  * Initial release (Closes: #870450)

 -- Yangfl <mmyangfl@gmail.com>  Sun, 18 Mar 2018 11:39:03 +0800

=== debian/control ===
Source: deepin-screenshot
Section: utils
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <073plan@gmail.com>,
 Mo Weng <alim0x@outlook.com>,
 Yangfl <mmyangfl@gmail.com>,
Build-Depends: debhelper (>= 11~), qt5-qmake, qtbase5-dev, pkg-config, libqt5svg5-dev, libqt5x11extras5-dev,
 qttools5-dev-tools, libxcb-util0-dev, libstartup-notification0-dev,
 qtbase5-private-dev,qtmultimedia5-dev, x11proto-xext-dev, libmtdev-dev, libegl1-mesa-dev, x11proto-record-dev,libxtst-dev,
 libudev-dev, libfontconfig1-dev, libfreetype6-dev, libglib2.0-dev, libxrender-dev, libdtkwidget-dev, libdtkwm-dev, deepin-gettext-tools
Standards-Version: 4.1.3
Homepage: https://github.com/linuxdeepin/deepin-screenshot
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-screenshot.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-screenshot

Package: deepin-screenshot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: deepin-shortcut-viewer, deepin-notifications
Description: Advanced screen shoting tool
 Deepin screenshot is an andvanced tool to make screenshots on Linux
 desktop environment. It has a user-friendly UI which eases cropping
 and saving of screenshot.
 .
 This package is part of DDE (Deepin Desktop Environment).

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1


export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export QT_SELECT = 5


%:
	dh $@

override_dh_install:
	dh_install
	# tmp remove dman
	rm -r debian/deepin-screenshot/usr/share/dman/

## deepin-screenshot 4.0.16

=== debian/changelog ===
deepin-screenshot (4.0.16-1) unstable; urgency=medium

  * New upstream version 4.0.16

 -- Boyuan Yang <073plan@gmail.com>  Tue, 26 Jun 2018 12:09:25 +0800

deepin-screenshot (4.0.15-1) unstable; urgency=medium

  * New upstream version 4.0.15

 -- Yanhao Mo <yanhaocs@gmail.com>  Sun, 10 Jun 2018 10:22:47 +0800

deepin-screenshot (4.0.14-1) unstable; urgency=medium

  * New upstream version 4.0.14
  * d/control: Add new uploader Yanhao Mo <yanhaocs@gmail.com>.
  * d/control: Use pkg-deepin-devel@lists.alioth.debian.org in Maintainer field.

 -- Yanhao Mo <yanhaocs@gmail.com>  Fri, 01 Jun 2018 08:46:25 +0800

deepin-screenshot (4.0.11-2) unstable; urgency=medium

  * debian: Apply "wrap-and-sort -abst".
  * Bump Standards-Version to 4.1.4 (no changes needed).
  * Use team+pkg-deepin@tracker.debian.org in maintainer field.
  * d/rules: Use "dh_missing --fail-missing".

 -- Boyuan Yang <073plan@gmail.com>  Sun, 22 Apr 2018 21:00:04 +0800

=== debian/control ===
Source: deepin-screenshot
Section: utils
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <073plan@gmail.com>,
 Mo Weng <alim0x@outlook.com>,
 Yangfl <mmyangfl@gmail.com>,
 Yanhao Mo <yanhaocs@gmail.com>,
Build-Depends:
 debhelper (>= 11~),
 deepin-gettext-tools,
 libdtkwidget-dev,
 libdtkwm-dev,
 libegl1-mesa-dev,
 libfontconfig1-dev,
 libfreetype6-dev,
 libglib2.0-dev,
 libmtdev-dev,
 libqt5svg5-dev,
 libqt5x11extras5-dev,
 libstartup-notification0-dev,
 libudev-dev,
 libxcb-util0-dev,
 libxrender-dev,
 libxtst-dev,
 pkg-config,
 qt5-qmake,
 qtbase5-dev,
 qtbase5-private-dev,
 qtmultimedia5-dev,
 qttools5-dev-tools,
 x11proto-record-dev,
 x11proto-xext-dev,
Standards-Version: 4.1.4
Homepage: https://github.com/linuxdeepin/deepin-screenshot
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-screenshot.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-screenshot

Package: deepin-screenshot
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 deepin-notifications,
 deepin-shortcut-viewer,
Description: Advanced screen shoting tool
 Deepin screenshot is an andvanced tool to make screenshots on Linux
 desktop environment. It has a user-friendly UI which eases cropping
 and saving of screenshot.
 .
 This package is part of DDE (Deepin Desktop Environment).

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
-export QT_SELECT = 5
+export QT_SELECT := 5
 
 
 %:
@@ -17,3 +17,6 @@
 	dh_install
 	# tmp remove dman
 	rm -r debian/deepin-screenshot/usr/share/dman/
+
+override_dh_missing:
+	dh_missing --fail-missing

## deepin-screenshot 4.1.0

=== debian/changelog ===
deepin-screenshot (4.1.0-1) unstable; urgency=medium

  * New upstream version 4.1.0
  * Bump Standards-Version to 4.2.1 (no changes needed).

 -- Yanhao Mo <yanhaocs@gmail.com>  Mon, 15 Oct 2018 11:39:54 +0800

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
  qttools5-dev-tools,
  x11proto-record-dev,
  x11proto-xext-dev,
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://github.com/linuxdeepin/deepin-screenshot
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-screenshot.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-screenshot

## deepin-screenshot 4.1.1

=== debian/changelog ===
deepin-screenshot (4.1.1-1) unstable; urgency=medium

  * New upstream version 4.1.1.
  * debian/control: Update my uploader email address and use the
    @debian.org one.
  * debian/copyright: Refresh my information.
  * debian/patches: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Tue, 23 Oct 2018 21:38:02 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
- Boyuan Yang <073plan@gmail.com>,
+ Boyuan Yang <byang@debian.org>,
  Mo Weng <alim0x@outlook.com>,
  Yangfl <mmyangfl@gmail.com>,
  Yanhao Mo <yanhaocs@gmail.com>,

## deepin-screenshot 4.1.2

=== debian/changelog ===
deepin-screenshot (4.1.2-1) unstable; urgency=medium

  * New upstream version 4.1.2.
  * debian/control:
    + Build-depends on cmake according to upstream changes.
  * debian/rules:
    - Remove explicit removal of dman directory, it has disappeared.

 -- Boyuan Yang <byang@debian.org>  Wed, 21 Nov 2018 14:34:24 -0500

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  Yangfl <mmyangfl@gmail.com>,
  Yanhao Mo <yanhaocs@gmail.com>,
 Build-Depends:
+ cmake (>= 3.7~),
  debhelper (>= 11~),
  deepin-gettext-tools,
  libdtkwidget-dev,
@@ -25,7 +26,6 @@
  libxrender-dev,
  libxtst-dev,
  pkg-config,
- qt5-qmake,
  qtbase5-dev,
  qtbase5-private-dev,
  qtmultimedia5-dev,

## deepin-screenshot 4.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -140,5 +140,9 @@
 file(GLOB DBUS_SERVICE "src/dbusservice/com.deepin.Screenshot.service")
 install(FILES ${DBUS_SERVICE} DESTINATION "share/dbus-1/services/")
 
+# icon
+file(GLOB ICON_FILE "deepin-screenshot.svg")
+install(FILES ${ICON_FILE} DESTINATION "share/icons/hicolor/scalable/apps")
+
 # bin
 install(TARGETS ${BIN_NAME} DESTINATION bin)

=== debian/changelog ===
deepin-screenshot (4.1.5-1) unstable; urgency=medium

  * New upstream version 4.1.5
  * Bump Standards-Version to 4.3.0 (no changes needed).

 -- Yanhao Mo <yanhaocs@gmail.com>  Mon, 07 Jan 2019 16:36:37 +0800

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
  qttools5-dev-tools,
  x11proto-record-dev,
  x11proto-xext-dev,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/linuxdeepin/deepin-screenshot
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-screenshot.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-screenshot

## deepin-screenshot 4.1.6

=== debian/changelog ===
deepin-screenshot (4.1.6-1) unstable; urgency=medium

  * New upstream version 4.1.6.
  * debian/control:
    + Use Rules-Requires-Root: no.
    + Bump debhelper-compat to v12.

 -- Boyuan Yang <byang@debian.org>  Thu, 17 Jan 2019 13:37:08 -0500

## deepin-screenshot 4.1.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,8 @@
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
-set(CMAKE_CXX_FLAGS "-g -Wall")
+set(CMAKE_CXX_FLAGS "-g -Wall -g -fPIE -pie")
+set(CMAKE_EXE_LINKER_FLAGS "-fPIE -pie")
 set(BIN_NAME deepin-screenshot)
 
 # Sources files

=== debian/changelog ===
deepin-screenshot (4.1.8-1) unstable; urgency=medium

  * New upstream version 4.1.8

 -- Yanhao Mo <yanhaocs@gmail.com>  Mon, 25 Feb 2019 17:28:37 +0800

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  Yanhao Mo <yanhaocs@gmail.com>,
 Build-Depends:
  cmake (>= 3.7~),
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  deepin-gettext-tools,
  libdtkwidget-dev,
  libdtkwm-dev,
@@ -32,6 +32,7 @@
  qttools5-dev-tools,
  x11proto-record-dev,
  x11proto-xext-dev,
+Rules-Requires-Root: no
 Standards-Version: 4.3.0
 Homepage: https://github.com/linuxdeepin/deepin-screenshot
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-screenshot.git

## deepin-screenshot 5.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -39,6 +39,7 @@
         "src/utils/shortcut.cpp"
         "src/utils/configsettings.cpp"
         "src/utils/tempfile.cpp"
+        "src/utils/saveutils.h"
 
 # widgets
         "src/widgets/bigcolorbutton.h"

=== debian/changelog ===
deepin-screenshot (5.0.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 10:25:36 +0100

deepin-screenshot (5.0.0-1) unstable; urgency=medium

  * New upstream release 5.0.0.
  * debian/control: Bump Standards-Version to 4.4.1.

 -- Boyuan Yang <byang@debian.org>  Sat, 05 Oct 2019 15:22:44 -0400

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
  x11proto-record-dev,
  x11proto-xext-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/linuxdeepin/deepin-screenshot
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-screenshot.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-screenshot

=== debian/rules ===
--- 
+++ 
@@ -13,10 +13,5 @@
 %:
 	dh $@
 
-override_dh_install:
-	dh_install
-	# tmp remove dman
-	rm -r debian/deepin-screenshot/usr/share/dman/
-
 override_dh_missing:
 	dh_missing --fail-missing

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%deepin-screenshot-$1.tar.gz%" \
   https://github.com/linuxdeepin/deepin-screenshot/tags \
   (?:.*?/)?(\d[\d.]*)\.tar\.gz debian uupdate
